Package io.dapr.v1

# Interface DaprProtos.ActorRuntimeOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.ActorRuntime`, `DaprProtos.ActorRuntime.Builder`

Enclosing class:
  DaprProtos

public static interface DaprProtos.ActorRuntimeOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`DaprProtos.ActiveActorsCount`
`getActiveActors(int index)`
Count of active actors per type.
`int`
`getActiveActorsCount()`
Count of active actors per type.
`List<DaprProtos.ActiveActorsCount>`
`getActiveActorsList()`
Count of active actors per type.
`DaprProtos.ActiveActorsCountOrBuilder`
`getActiveActorsOrBuilder(int index)`
Count of active actors per type.
`List<? extends DaprProtos.ActiveActorsCountOrBuilder>`
`getActiveActorsOrBuilderList()`
Count of active actors per type.
`boolean`
`getHostReady()`
Indicates whether the actor runtime is ready to host actors.
`String`
`getPlacement()`
Custom message from the placement provider.
`com.google.protobuf.ByteString`
`getPlacementBytes()`
Custom message from the placement provider.
`DaprProtos.ActorRuntime.ActorRuntimeStatus`
`getRuntimeStatus()`
Contains an enum indicating whether the actor runtime has been initialized.
`int`
`getRuntimeStatusValue()`
Contains an enum indicating whether the actor runtime has been initialized.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getRuntimeStatusValue

int getRuntimeStatusValue()

     Contains an enum indicating whether the actor runtime has been initialized.

`.dapr.proto.runtime.v1.ActorRuntime.ActorRuntimeStatus runtime_status = 1 [json_name = "runtimeStatus"];`

Returns:
  The enum numeric value on the wire for runtimeStatus.

### getRuntimeStatus

DaprProtos.ActorRuntime.ActorRuntimeStatus getRuntimeStatus()

     Contains an enum indicating whether the actor runtime has been initialized.

`.dapr.proto.runtime.v1.ActorRuntime.ActorRuntimeStatus runtime_status = 1 [json_name = "runtimeStatus"];`

Returns:
  The runtimeStatus.

### getActiveActorsList

List<DaprProtos.ActiveActorsCount> getActiveActorsList()

     Count of active actors per type.

`repeated .dapr.proto.runtime.v1.ActiveActorsCount active_actors = 2 [json_name = "activeActors"];`

### getActiveActors

DaprProtos.ActiveActorsCount getActiveActors(int index)

     Count of active actors per type.

`repeated .dapr.proto.runtime.v1.ActiveActorsCount active_actors = 2 [json_name = "activeActors"];`

### getActiveActorsCount

int getActiveActorsCount()

     Count of active actors per type.

`repeated .dapr.proto.runtime.v1.ActiveActorsCount active_actors = 2 [json_name = "activeActors"];`

### getActiveActorsOrBuilderList

List<? extends DaprProtos.ActiveActorsCountOrBuilder> getActiveActorsOrBuilderList()

     Count of active actors per type.

`repeated .dapr.proto.runtime.v1.ActiveActorsCount active_actors = 2 [json_name = "activeActors"];`

### getActiveActorsOrBuilder

DaprProtos.ActiveActorsCountOrBuilder getActiveActorsOrBuilder(int index)

     Count of active actors per type.

`repeated .dapr.proto.runtime.v1.ActiveActorsCount active_actors = 2 [json_name = "activeActors"];`

### getHostReady

boolean getHostReady()

     Indicates whether the actor runtime is ready to host actors.

`bool host_ready = 3 [json_name = "hostReady"];`

Returns:
  The hostReady.

### getPlacement

String getPlacement()

     Custom message from the placement provider.

`string placement = 4 [json_name = "placement"];`

Returns:
  The placement.

### getPlacementBytes

com.google.protobuf.ByteString getPlacementBytes()

     Custom message from the placement provider.

`string placement = 4 [json_name = "placement"];`

Returns:
  The bytes for placement.